| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >:
[legend]

## Public Types
typedef TupleT | ResultT

## Public Member Functions
| TupleGrammar ()

## Public Attributes
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > | tup
TupleInnerGrammar< Iterator, TupleT, N, Skipper > | grTuple

## Detailed Description

### template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>
struct Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >

Definition at line 252 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

typedef TupleT Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::ResultT

Definition at line 253 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::TupleGrammar | ( |  | ) |
| inline

Definition at line 254 of file GrammarsV2.h.

254 : TupleGrammar::base_type( tup )
255 {
256 begin = enc::char_( '[' )[qi::_val = ']'] | enc::char_( '(' )[qi::_val = ')'];
257 end = enc::char_( qi::_r1 );
258
259 tup = begin[qi::_a = qi::_1] >> grTuple[qi::_val = qi::_1] >> end( qi::_a );
260 }
Gaudi::Parsers::TupleGrammar::tup
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > tup
Definition: GrammarsV2.h:264
Gaudi::Parsers::TupleGrammar::end
qi::rule< Iterator, void(char)> end
Definition: GrammarsV2.h:263
Gaudi::Parsers::TupleGrammar::grTuple
TupleInnerGrammar< Iterator, TupleT, N, Skipper > grTuple
Definition: GrammarsV2.h:265
Gaudi::Parsers::TupleGrammar::begin
qi::rule< Iterator, char()> begin
Definition: GrammarsV2.h:262

## Member Data Documentation

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::begin

Definition at line 262 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

qi::rule<Iterator, void( char )> Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::end

Definition at line 263 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

TupleInnerGrammar<Iterator, TupleT, N, Skipper> Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::grTuple

Definition at line 265 of file GrammarsV2.h.

template<typename Iterator , typename TupleT , std::size_t N, typename Skipper >

qi::rule<Iterator, ResultT(), qi::locals<char>, Skipper> Gaudi::Parsers::TupleGrammar< Iterator, TupleT, N, Skipper >::tup

Definition at line 264 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h